com.google.gwt.text.shared

## Class SimpleSafeHtmlRenderer

- java.lang.Object
- - com.google.gwt.text.shared.SimpleSafeHtmlRenderer

All Implemented Interfaces:
  SafeHtmlRenderer<java.lang.String>

    public class SimpleSafeHtmlRenderer
    extends java.lang.Object
    implements SafeHtmlRenderer<java.lang.String>

A simple `SafeHtmlRenderer` implementation that calls `SafeHtmlUtils.fromString(String)` to escape its arguments.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SimpleSafeHtmlRenderer` `getInstance()`
`SafeHtml` `render(java.lang.String object)` Renders `object` as safe HTML.
`void` `render(java.lang.String object, SafeHtmlBuilder appendable)` Renders `object` as safe HTML, appended directly to `builder`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static SimpleSafeHtmlRenderer getInstance()

#### render

    public SafeHtml render(java.lang.String object)

Description copied from interface: `SafeHtmlRenderer`
Renders `object` as safe HTML.

Specified by:
  `render` in interface `SafeHtmlRenderer<java.lang.String>`

#### render

    public void render(java.lang.String object,
                       SafeHtmlBuilder appendable)

Description copied from interface: `SafeHtmlRenderer`
Renders `object` as safe HTML, appended directly to `builder`.

Specified by:
  `render` in interface `SafeHtmlRenderer<java.lang.String>`